#ifndef _ADF7030_1__CFG_H_
#define _ADF7030_1__CFG_H_

#include <drivers/spi/adi_spi.h>
#include <devices/rf/adf703x/adi_adf7030-1_reg.h>

/** \addtogroup adf7030-1 adf7030-1 Driver
 *  @{
 */

/** \addtogroup adf7030-1__cfg PHY Config Interface
 *  @{
 */

/* ADI Radio Configuration transfer function */
uint32_t adf7030_1__SendConfiguration(
    ADI_SPI_HANDLE hSPIDevice,                              
    uint8_t *pCONFIG,
    uint32_t Size
);

/* ADI Radio SPI sequence configuration transfer */
uint32_t adf7030_1__XferCfgSeq(
    ADI_SPI_HANDLE hSPIDevice,
    uint8_t *pData,
    uint32_t Size
);


/** @} */ /* End of group adf7030-1__cfg PHY Config Interface */
/** @} */ /* End of group adf7030-1 adf7030-1 Driver */

#endif /* _ADF7030_1__CFG_H_ */